using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DbCommon.Enties.DbModels
{
    public class AgvInfo
    {
        [SugarColumn(IsPrimaryKey = true)]
        public int Id { get; set; }
        public bool Online { get; set; }
        public int Mark { get; set; }
        public int Route { get; set; }
        public int Status { get; set; }
        public int AlarmCode { get; set; }

        [SugarColumn(DecimalDigits = 2)]
        public decimal BatteryPower { get; set; }

        [SugarColumn(DecimalDigits = 2)]
        public decimal BatteryVoltage { get; set; }

        [SugarColumn(DecimalDigits = 2)]
        public decimal BatteryCurrent { get; set; }

        [SugarColumn(DecimalDigits = 2)]
        public decimal BatteryTemperature { get; set; }
        public DateTime LastUpdateTime { get; set; }

    }
}
